<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\jobs_rules;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\jobs_rules\JobsRulesLists;
use app\adminapi\logic\jobs_rules\JobsRulesLogic;
use app\adminapi\validate\jobs_rules\JobsRulesValidate;
use app\common\logic\TableDataLogic;


/**
 * JobsRules控制器
 * Class JobsRulesController
 * @package app\adminapi\controller
 */
class JobsRulesController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/31 13:50
     */
    public function lists()
    {
        return $this->dataLists(new JobsRulesLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/31 13:50
     */
    public function add()
    {
        $params = (new JobsRulesValidate())->post()->goCheck('add');
        $result = JobsRulesLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(JobsRulesLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/31 13:50
     */
    public function edit()
    {
        $params = (new JobsRulesValidate())->post()->goCheck('edit');
        $result = JobsRulesLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(JobsRulesLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/31 13:50
     */
    public function delete()
    {
        $params = (new JobsRulesValidate())->post()->goCheck('delete');
        JobsRulesLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/31 13:50
     */
    public function detail()
    {
        $params = (new JobsRulesValidate())->goCheck('detail');
        $result = JobsRulesLogic::detail($params);
        return $this->data($result);
    }

    public function ruleData()
    {
        $params = request()->post();
        //provinces citys saleGroup admins propertyHead sale
        return $this->data(JobsRulesLogic::ruleData($params));
    }
}